Subject: FW: Windows XP Headaches w/ Network Communication
From: "Gary Furash" <[email-masked]>
To: <[email-masked]>
Cc: "Furash, Gary F - \(furashg\)" <[email-masked]>
Date: Thu, 10 Feb 2011 16:02:25 -0700
List-Id: <cygwin.cygwin.com>

I just had to downgrade my PC from Windows 7 to Windows XP. I reinstalled
Cygwin (from scratch), rebased, etc. However, now, none of my cygwin network
programs work except within my work's internal network (they used to work
just fine with Windows 7). I tried turning off windows firewall (the only
firewall on, I believe), and it didn't help. So Ping, NSlookup, ssmtp, etc.,
don't work.

The utilities work themselves, e.g., if I do ping 127.0.0.1 it works, just
can't see beyond my PC! All the errors relate to not getting to hosts.

I'm sure there's a simple solution to this. Thanks!

Here's my cygcheck:

Cygwin Package Information
Last downloaded files to: C:\Documents and Settings\furashg\Desktop
Last downloaded files from: http://cygwin.mirrors.hoobly.com/

Package              Version             Status
_update-info-dir     00945-1             OK
alternatives         1.3.30c-10          OK
attr                 2.4.43-1            OK
base-cygwin          3.0-1               OK
base-files           3.9-3               OK
bash                 4.1.9-3             OK
bash-completion      1.2-1               OK
bashdb               3.1_0.09-1          OK
bc                   1.06-2              OK
binutils             2.20.51-2           OK
bzip2                1.0.6-1             OK
ccrypt               1.7-1               OK
coreutils            8.10-1              OK
crypt                1.1-1               OK
csih                 0.9.3-1             OK
cygrunsrv            1.34-1              OK
cygutils             1.4.4-1             OK
cygwin               1.7.7-1             OK
cygwin-doc           1.7-1               OK
dash                 0.5.6.1-2           OK
diffutils            2.9-1               OK
ed                   1.0-1               OK
editrights           1.01-2              OK
expect               20030128-1          OK
findutils            4.5.9-2             OK
gawk                 3.1.8-1             OK
gcc-core             3.4.4-999           OK
gcc-mingw-core       20050522-1          OK
gettext              0.17-11             OK
googlecl             0.9.12-1            OK
grep                 2.6.3-1             OK
groff                1.20.1-2            OK
gzip                 1.3.12-2            OK
inetutils            1.7-2               OK
ipc-utils            1.0-1               OK
less                 436-1               OK
libattr1             2.4.43-1            OK
libblkid1            2.17.2-1            OK
libbz2_1             1.0.6-1             OK
libdb4.5             4.5.20.2-2          OK
libedit0             20090923-1          OK
libexpat1            2.0.1-1             OK
libffi4              4.3.4-3             OK
libgcc1              4.3.4-3             OK
libgdbm4             1.8.3-20            OK
libgmp3              4.3.1-3             OK
libiconv2            1.13.1-1            OK
libidn11             1.18-1              OK
libintl3             0.14.5-1            OK
libintl8             0.17-11             OK
liblzma1             4.999.9beta-11      OK
libncurses10         5.7-18              OK
libncurses8          5.5-10              OK
libncurses9          5.7-16              OK
libncursesw-devel    5.7-18              OK
libncursesw10        5.7-18              OK
libopenssl098        0.9.8r-1            OK
libpcre0             8.02-1              OK
libpopt0             1.6.4-4             OK
libreadline6         5.2.14-12           OK
libreadline7         6.1.2-2             OK
libsigsegv2          2.8-1               OK
libsqlite3_0         3.7.3-1             OK
libssp0              4.3.4-3             OK
libstdc++6           4.3.4-3             OK
libuuid1             2.17.2-1            OK
libwrap0             7.6-21              OK
libxml2              2.7.7-1             OK
login                1.10-10             OK
make                 3.81-2              OK
man                  1.6f-1              OK
mingw-runtime        3.18-1              OK
mmv                  1.01b-1             OK
ncurses              5.7-18              OK
netcat               1.10-2              OK
openssh              5.8p1-1             OK
perl                 5.10.1-5            OK
python               2.6.5-2             OK
python-gdata         2.0.13-1            OK
readline             6.1.2-2             OK
rebase               3.0.1-1             OK
rlwrap               0.24-1              OK
rsync                3.0.7-1             OK
run                  1.1.13-1            OK
sed                  4.2.1-1             OK
sgrep                1.94a-2             OK
ssmtp                2.62-10             OK
tar                  1.25-1              OK
tcltk                20080420-1          OK
terminfo             5.7_20091114-14     OK
terminfo0            5.5_20061104-12     OK
texinfo              4.13-3              OK
tzcode               2010j-1             OK
unzip                6.0-10              OK
util-linux           2.17.2-1            OK
vim                  7.3.003-1           OK
w32api               3.15-1              OK
wdiff                0.6.3-1             OK
wget                 1.12-1              OK
which                2.20-2              OK
wput                 0.6.2-1             OK
xz                   4.999.9beta-11      OK
zip                  3.0-11              OK
zlib                 1.2.5-1             OK
zlib-devel           1.2.5-1             OK
zlib0                1.2.5-1             OK

Cygwin Configuration Diagnostics
Current System Time: Thu Feb 10 14:41:11 2011

Windows XP Professional Ver 5.1 Build 2600 Service Pack 3

Path:	C:\Progra~1\Cygwin\bin
	C:\Progra~1\Cygwin\usr\sbin
	C:\Progra~1\Cygwin\usr\local\bin
	C:\WINDOWS\system32
	C:\WINDOWS
	C:\WINDOWS\System32\Wbem
	C:\WINDOWS\system32\WindowsPowerShell\v1.0
	C:\Program Files\Windows Imaging\
	C:\WINDOWS\system32\WindowsPowerShell\v1.0
	C:\progra~1\Java\jdk1.6.0_23\bin
	C:\WINDOWS\system32
	C:\WINDOWS
	C:\WINDOWS\System32\Wbem
	C:\WINDOWS\system32\WindowsPowerShell\v1.0
	C:\Program Files\Windows Imaging\
	C:\WINDOWS\system32\WindowsPowerShell\v1.0
	C:\progra~1\Java\jdk1.6.0_23\bin
	C:\DOCUME~1\furashg\Scripts

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple